Bug 133643 - The kernel mistakes wacom tablets for mouse
The kernel mistakes wacom tablets for mouse
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-25 11:15 EDT by ryo dairiki
Modified: 2015-01-04 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch makes the kernel stop treating wacom tablets as mice. (1.02 KB, patch)
2004-09-25 11:25 EDT, ryo dairiki
no flags Details | Diff

  None (edit)
Description ryo dairiki 2004-09-25 11:15:56 EDT
Description of problem:

The Fedora kernel treats wacom tablets as mice, so the events from
them flow out of /dev/input/event* directory and /dev/input/mice
directory. This can cause a problem if you use a mouse and a wacom
same time, because a pen pressured event from /dev/input/event* is
disturbed by a button pressed event from /dev/input/mice and you can't
draw anything when you use the tablet in gimp.



How reproducible:


Steps to Reproduce:
1.connect a mouse and a wacom tablet.
2.run "cat /dev/input/mice &" from the terminal.
3.move the mouse and the tablet.
  
Actual results:
You get the text output when you move the mouse or the tablet.

Expected results:
You get the text output only when you move the mouse.


Additional info:

Some people say you can use /dev/input/mouse* instead of
/dev/input/mice for mice device, but you can't use hotplug for mice by
that. And my computer sometimes loses sight of the mouse (I don't know
why), although I don't pull off the mouse, so I must use
/dev/input/mice not /dev/input/mouse*.
Comment 1 ryo dairiki 2004-09-25 11:25:09 EDT
Created attachment 104319 [details]
This patch makes the kernel stop treating wacom tablets as mice.

I made a patch for the kernel#2.6.8-1.584 (from
http://people.redhat.com/arjanv/), refering to linuxwacom#0.6.4 (from
http://linuxwacom.sourceforge.net/).
Comment 2 Kristian Høgsberg 2004-09-26 14:37:48 EDT
Could you try using /dev/input/mouse0 instead of /dev/input/mice for
your core pointer?  The /dev/input/mice is per design meant to combine
all input events from mouse-like devices.  If you want to prevent the
wacom tablet from contributing events to your core X pointer, the
solution is to explictly specify which mouse device to use for the
core pointer.

Also, make sure the wacom tablet is set up as described here

  http://linuxwacom.sourceforge.net/index.php/howto/inputdev

Finally, we're now packaging the linuxwacom.sourceforge.net drivers in
Fedora Core - please consider installing the linuxwacom RPM from
rawhide and test it (which will require upgrading xorg-x11 as well). 
Thanks!
Comment 3 ryo dairiki 2004-09-26 22:57:04 EDT
Thank you for the replying. 

> Could you try using /dev/input/mouse0 instead of /dev/input/mice for
your core pointer? 

Yes, I've done. That is one solution. But I use an usb mouse, which I
can hotplug it using /dev/input/mice. You can't use hotplug if you use
/dev/input/mouse*. 
And, what makes the matter worse, as I've written, My system sometimes
lose sight of my mouse. It suddenly makes a sound as if I plugged
something (I think kudzu or hotplug makes such a sound), then the
first mouse dev dies, and another mouse dev is activated. For example,
if I use /dev/input/mouse0 as the first mouse dev, after the noise,
cat /dev/input/mouse0 makes no output, no error. After few second,
/dev/input/mouse1 becames activated, cat /dev/input/mouse1 makes
output when I move the mouse. I checked the log but no error was
found. I think it is another bug. 
That is why I persist in using /dev/input/mice. If I use
/dev/input/mice, the events from newly activated mouse dev is sended
to /dev/input/mice after my system lose sight of the mouse. 

> please consider installing the linuxwacom RPM from
rawhide and test it

I'll try it, thank you. 

I'm sorry if my english is too poor to understand. 
Comment 4 ryo dairiki 2004-09-27 01:21:55 EDT
I've tested the rawhide linuxwacom RPM (and xorg, udev). But in vain.
Thanks.
Comment 5 Dave Jones 2005-04-16 00:39:55 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.